Bug 952709 (CVE-2013-2384)

Summary: CVE-2013-2384 ICU: Layout Engine font layout and glyph table errors (JDK 2D, 8004987)
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: caolanm, dbhole, denis.arnaud_fedora, erack, erik-fedora, jkurik, jvanek, kalevlember, pfrields, rmeggins, sbaiduzh, security-response-team, tuxator
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20130416,reported=20130410,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-5/java-1.6.0-sun=affected,rhel-6/java-1.6.0-sun=affected,rhel-5/icu=wontfix/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-6/icu=wontfix/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-7/icu=wontfix/impact=low/cvss2=2.6/AV:N/AC:H/Au:N/C:N/I:N/A:P,directory_server_8/icu=wontfix/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,fedora-all/icu=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,fedora-all/mingw-icu=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P
Fixed In Version: icedtea6 1.11.10, icedtea6 1.12.5, icedtea7 2.3.9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-21 16:16:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 966141, 966428, 1006741    
Bug Blocks: 950067, 957599    

Description Stefan Cornelius 2013-04-16 14:16:24 UTC
It was discovered that the 2D component contained multiple errors within the font layout and font glyph table processing. An untrusted Java application or applet could possibly use these flaws to bypass Java sandbox restrictions.
As the provided patch combined fixes for CVE-2013-2383, CVE-2013-2384 and CVE-2013-1569, it is currently not possible to match individual issues to their respective CVE identifier.

Comment 1 Tomas Hoger 2013-04-16 20:10:53 UTC
Public now via Oracle Java SE CPU April 2014:

http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

Fixed in 7u21 and 6u45.

Comment 2 errata-xmlrpc 2013-04-17 18:46:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0752 https://rhn.redhat.com/errata/RHSA-2013-0752.html

Comment 3 errata-xmlrpc 2013-04-17 18:49:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0751 https://rhn.redhat.com/errata/RHSA-2013-0751.html

Comment 4 Stefan Cornelius 2013-04-17 20:23:39 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/6784c9903db7

Comment 5 errata-xmlrpc 2013-04-18 18:26:33 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:0758 https://rhn.redhat.com/errata/RHSA-2013-0758.html

Comment 6 errata-xmlrpc 2013-04-18 18:31:15 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0757 https://rhn.redhat.com/errata/RHSA-2013-0757.html

Comment 7 errata-xmlrpc 2013-04-24 18:02:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0770 https://rhn.redhat.com/errata/RHSA-2013-0770.html

Comment 10 errata-xmlrpc 2013-05-14 18:00:09 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0823 https://rhn.redhat.com/errata/RHSA-2013-0823.html

Comment 11 errata-xmlrpc 2013-05-14 18:05:12 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0822 https://rhn.redhat.com/errata/RHSA-2013-0822.html

Comment 12 errata-xmlrpc 2013-05-22 18:45:03 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0855 https://rhn.redhat.com/errata/RHSA-2013-0855.html

Comment 13 Stefan Cornelius 2013-05-23 09:28:32 UTC
Created mingw-icu tracking bugs for this issue

Affects: fedora-all [bug 966428]

Comment 14 Stefan Cornelius 2013-05-23 09:28:39 UTC
Created icu tracking bugs for this issue

Affects: fedora-all [bug 966141]

Comment 15 Fedora Update System 2013-07-28 01:14:16 UTC
openttd-1.3.2-0.2.RC1.fc19, pyicu-1.5-2.fc19, fontmatrix-0.9.99-12.r1218.fc19, libreoffice-4.1.0.3-2.fc19, icu-50.1.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-08-03 23:55:37 UTC
openttd-1.3.0-2.fc18, pyicu-1.4-2.fc18, fontmatrix-0.9.99-9.r1218.fc18, libreoffice-3.6.7.2-3.fc18, icu-49.1.1-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 errata-xmlrpc 2013-10-23 16:41:29 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 19 errata-xmlrpc 2013-10-23 16:52:34 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html